@mixin font-size($size) {
    font-size: $size + px !important;
    font-size: ($size/18) + rem !important;
}
@mixin line-height($size) {
    line-height: $size + px;
    line-height: ($size/18) + rem;
}

@mixin input-placeholder-color($color) {
    &::-webkit-input-placeholder {
        color: $color !important;
    }
    &:-moz-placeholder {
        color: $color !important;
    }
    &::-moz-placeholder {
        color: $color !important;
    }
    &:-ms-input-placeholder {
        color: $color !important;
    }
    &::-ms-placeholder {
        color: $color !important;
    }
    &::placeholder {
        color: $color !important;
    }
}

@mixin phone($property, $value)
{

	// Small devices (landscape phones, 576px and up)
	@media (max-width: 576px)
	{
		#{$property}: $value;
	}

}

@mixin tablet($property, $value)
{
	// Medium devices (tablets, 768px and up)
	@media (max-width: 768px)
	{
		#{$property}: $value;
	}
}

@mixin desk($property, $value)
{
	// Large devices (desktops, 992px and up)
	@media (max-width: 992px) 
	{
		#{$property}: $value;
	}
}

@mixin larg-desk($property, $value)
{
	// Extra large devices (large desktops, 1200px and up)
	@media (max-width: 1200px)
	{
		#{$property}: $value;
	}

}


@mixin display-4k($property, $value)
{
    // Extra large devices (large desktops, 1200px and up)
    @media (min-width: 1980px)
    {
        #{$property}: $value;
    }

}